## golang-github-cloudflare-cfssl 1.6.5

=== debian/changelog ===
golang-github-cloudflare-cfssl (1.6.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 07:58:45 +0200

golang-github-cloudflare-cfssl (1.6.5-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Reinhard Tartler ]
  * Team upload.
  * New upstream version, closes: #975550

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 16:03:24 -0400
