=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 DH_VERBOSE=1
 
 export DH_GOLANG_EXCLUDES = whitelist/example
+export DH_GOLANG_INSTALL_ALL := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang
