=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds1,filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/cloudflare/cfssl/releases?per_page=100 \
    https://api.github.com/repos/cloudflare/cfssl/tarball/@ANY_VERSION@
